<?php

declare(strict_types=1);

//use Internetgalerie\IgDatapoolFe\Property\TypeConverter\DateTimeConverter;
//use TYPO3\CMS\Extbase\Utility\ExtensionUtility;

defined('TYPO3') or die();


if ((new \TYPO3\CMS\Core\Information\Typo3Version())->getMajorVersion() < 12)
{

    /**
     * DateTime Converter for dates without seconds
     */
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter(\Internetgalerie\IgDatapoolFe\Property\TypeConverter\DateTimeConverter::class);

   \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter(\Internetgalerie\IgDatapoolFe\Property\TypeConverter\HtmlConverter::class);

    /**
     * Type Converter for FileReferences
     */
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter(\Internetgalerie\IgDatapoolFe\Property\TypeConverter\FileReferenceConverter::class);

    /**
     * Type Converter for ObjectStorage: does not store NULL
     */
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter(\Internetgalerie\IgDatapoolFe\Property\TypeConverter\ObjectStorageConverter::class);


    /**
     * Type Converter for File
     */
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter(\Internetgalerie\IgDatapoolFe\Property\TypeConverter\FileConverter::class);
}
// config.tx_extbase.persistence.classes is in File Configuration/Extbase/Persistence/Classes.php
// config.tx_extbase.objects { TYPO3\CMS\Extbase\Domain\Model\FileReference.className = Internetgalerie\IgDatapoolFe\Domain\Model\FileReference }
//\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\Object\Container\Container::class)
//    ->registerImplementation(\TYPO3\CMS\Extbase\Domain\Model\FileReference::class, \Internetgalerie\IgDatapoolFe\Domain\Model\FileReference::class);
